import { JavaObject } from '../../../java/lang/JavaObject';
import { JavaIterator } from '../../../java/util/JavaIterator';
import { AVLMapSubMap } from '../../../core/adt/map/AVLMapSubMap';
export declare class AVLMapSubCollectionIterator<K, V> extends JavaObject implements JavaIterator<V> {
    private readonly _sub;
    private _current;
    private _next;
    /**
     * Erstellt einen neuen VALUES-Iterator, welcher auf der {@link AVLMapSubMap} operiert.
     *
     * @param sub Die {@link AVLMapSubMap} auf der dieser Iterator operiert.
     */
    constructor(sub: AVLMapSubMap<K, V>);
    next(): V;
    hasNext(): boolean;
    remove(): void;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_adt_map_AVLMapSubCollectionIterator<K, V>(obj: unknown): AVLMapSubCollectionIterator<K, V>;
